using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Strata.Code.DataAccess.Models;

[Table("GeneralLedgerInitialPlanConfigDetail", Schema = "fp")]
public partial class GeneralLedgerInitialPlanConfigDetail
{
    [Key]
    [Column("RowID")]
    public int RowId { get; set; }

    [Column("BudgetConfigGUID")]
    public Guid BudgetConfigGuid { get; set; }

    [Column("BudgetConfigID")]
    public short BudgetConfigId { get; set; }

    [Column("EntityID")]
    public int EntityId { get; set; }

    [Column("DepartmentID")]
    public int DepartmentId { get; set; }

    [Column("AccountID")]
    public int AccountId { get; set; }

    [Column("FinancialReportingID")]
    public int FinancialReportingId { get; set; }

    [Column("VariabilityID")]
    public int VariabilityId { get; set; }

    [Column("APEModelSectionID")]
    public int ApemodelSectionId { get; set; }

    [Column("TimeClassID")]
    public byte TimeClassId { get; set; }

    [Column("ProjectionMethodID")]
    public int ProjectionMethodId { get; set; }

    public byte TrailingMonths { get; set; }

    [Column("VersionID")]
    public int VersionId { get; set; }

    [ForeignKey("BudgetConfigGuid")]
    [InverseProperty("GeneralLedgerInitialPlanConfigDetails")]
    public virtual BudgetConfig BudgetConfig { get; set; } = null!;
}
